package com.leanwo.activiti.dto.base;

/**
 * 审批表单查询申请.
 *
 * @author YangZhiJie
 */
public class FormRequest {
	
	/**  任务Id. */
	private String taskId;

	/**  工作流Id. */
	private Long workflowId;

	/**  表单数据. */
	private String formData;
	
	/**  流程数据. */
	private String processData;

	/**
	 * Gets the 任务Id.
	 *
	 * @return the 任务Id
	 */
	public String getTaskId() {
		return taskId;
	}

	/**
	 * Sets the 任务Id.
	 *
	 * @param taskId the new 任务Id
	 */
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	/**
	 * Gets the 工作流Id.
	 *
	 * @return the 工作流Id
	 */
	public Long getWorkflowId() {
		return workflowId;
	}

	/**
	 * Sets the 工作流Id.
	 *
	 * @param workflowId the new 工作流Id
	 */
	public void setWorkflowId(Long workflowId) {
		this.workflowId = workflowId;
	}

	/**
	 * Gets the 表单数据.
	 *
	 * @return the 表单数据
	 */
	public String getFormData() {
		return formData;
	}

	/**
	 * Sets the 表单数据.
	 *
	 * @param formData the new 表单数据
	 */
	public void setFormData(String formData) {
		this.formData = formData;
	}

	/**
	 * Gets the 流程数据.
	 *
	 * @return the 流程数据
	 */
	public String getProcessData() {
		return processData;
	}

	/**
	 * Sets the 流程数据.
	 *
	 * @param processData the new 流程数据
	 */
	public void setProcessData(String processData) {
		this.processData = processData;
	}
}
